## 4.1 Avant-propos

Cette partie concerne la description des formats de rôles pour FME :
- cotisation foncière des entreprises (CFE),
- taxe foncière (TF),
- taxe d&rsquo;habitation (TH).

Vous retrouverez, triés par catégorie puis ordre alphabétique, l&rsquo;ensemble des noms d&rsquo;attributs utilisés par Veremes ainsi que la définition de leur équivalent dans le fichier fiscal dématérialisé gouvernemental du même nom.


Pour consulter la documentation officielle sur les fichiers fiscaux dématérialisés, consultez le lien suivant :
[https://www.collectivites-locales.gouv.fr/documentation-sur-fichiers-fiscaux-dematerialises
](https://www.collectivites-locales.gouv.fr/documentation-sur-fichiers-fiscaux-dematerialises)

### Quelques précisions

Les « UI » correspondent à des unités de taxation. Elles sont identifiées par l’attribut « id_ui » qui est la concaténation de l’identifiant de la campagne, du code direction, du code commune et du numéro de compte.

Le numéro de compte est généré par la DGI indépendamment des taxes. « id_ui » est donc différent selon les taxes, c’est pourquoi vous ne pouvez pas faire de jointure via cet attribut entre les différentes taxes.

D’autre part il peut exister au sein d’une même taxe plusieurs « id_ui » correspondant à une même personne physique.

L’attribut « id_rivoli » est la concaténation du code direction, du code commune et du code voie et permet de faire une jointure avec l’identifiant de même nom des données Majic-Fantoir (table FANTOIR_VOIE).

L’attribut « id_adresse » est la concaténation des attributs « id_com » (code direction + code commune, sur 6 caractères), « niaf » (numéro de voirie sur 4 caractères), « niafbt » (indice de répétition de voirie sur 1 caractère) et « ctadr0 » (code voie sur 4 caractères). Il correspond donc à une adresse et peut faire le lien avec les données Majic non-bâti (_A10), bâti (_A00) et propriétaire (_COURANT) qui contiennent le même attribut.

Pour les taxes foncières et ordures ménagères, il y a 1 non bâti par unité de taxation et n bâtis par unité de taxation mais ces bâtis ne sont pas identifiés.

Notes :
-	Les espaces et les vides sont remplacés par des zéros dans les attributs « niaf », « niafbt » et « ctadr0 » au moment de la création de « id_adresse ».
-	Les parcelles (non-bâti) ne sont en général pas associées à un numéro de voirie, dans ce cas celui-ci sera remplacé par des zéros dans l’attribut « id_adresse ».
