## 2.3 bâti

![](/images/Lecture_formats_DGFIP/02.Majic/02.Bati.png)
*Modèle de données des Locaux (BATI)*

### Article direction

Type d’entité :  BATI_A_DIRECTION

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>CCODEP   </td><td>code département             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCODIR   </td><td>code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>LIBDIR   </td><td>libelle de la direction      </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>PARMDAT  </td><td>date de référence du Fichier </td><td>D4          </td></tr>
 <tr class="row-odd"><td>JDATPARM </td><td>date de création du fichier  </td><td>jjmmssaa      </td></tr>
 <tr class="row-even"><td>JANDOC   </td><td>année de campagne            </td><td></td></tr>
</tbody></table>

### Article 00 de l’identification du local

Type d’entité : BATI_A00_IDENT_LOCAL

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-even"><td>CCODEP   </td><td>code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR   </td><td>code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM   </td><td>code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR    </td><td>numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR     </td><td>code enregistrement          </td><td>00          </td></tr>
 <tr class="row-odd"><td colspan ="3"><b>Identifiant cadastral</b>        </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOPRE   </td><td>préfixe de section ou quartier servi pour les communes associées,</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOSEC   </td><td>lettres de section           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUPLA   </td><td>numéro de plan               </td><td>format « 0000 »</td></tr>
 <tr class="row-odd"><td>DNUBAT   </td><td>lettre de bâtiment           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DESC     </td><td>numéro d&rsquo;escalier            </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNIV     </td><td>niveau étage                 </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DPOR     </td><td>numéro de local </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>&nbsp;</td><td>Identifiant adresse          </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCORIV   </td><td>Code Rivoli de la voie       </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOVOI   </td><td>Code Majic2 de la voie       </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td colspan="3"><b>Voirie</b>                       </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNVOIRI  </td><td>Numéro de voirie             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DINDIC   </td><td>indice de répétition         </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOCIF   </td><td>code du cdif (code topad)    </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DVOILIB  </td><td>libelle de la voie           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CLEINVAR </td><td>clé alpha no invariant       </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>ID_PAR</td><td>Identifiant de parcelle</td><td>CCODEP+CCODIR+CCOCOM+CCOPRE+CCOSEC+DNUPLA</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-odd"><td>ID_RIVOLI</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM+CCORIV</td></tr>
 <tr class="row-even"><td>ID_ADRESSE</td><td>Identifiant adresse du bâti</td><td>ID_COM+DNVOIRI+DINDIC+CCORIV</td></tr>
</tbody></table>

### Article 10 de la description du local

Type d’entité : BATI_A10_DESCR_LOCAL

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-even"><td>CCODEP   </td><td>code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR   </td><td>code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM   </td><td>code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR    </td><td>numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR     </td><td>code enregistrement          </td><td>10          </td></tr>
 <tr class="row-odd"><td>GPDL     </td><td>indicateur  d&rsquo;appartenance à un lot de pdl</td><td>1 = oui, sinon 0 </td></tr>
 <tr class="row-even"><td>DSRPAR   </td><td>lettre de série rôle         </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNUPRO   </td><td>compte communal de propriétaire</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>JDATAT   </td><td>date d&rsquo;acte de mutation      </td><td>jjmmaaaa    </td></tr>
 <tr class="row-odd"><td>DNUFNL   </td><td>compte communal de fonctionnaire logé</td><td>redevable de la tom</td></tr>
 <tr class="row-even"><td>CCOEVA</td><td>code évaluation</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccoeva-codes-methode-devaluation">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>DTELOC</td><td>type de local</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dteloc-codes-type-de-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>GTAUOM   </td><td>zone  de ramassage des ordures ménagères</td><td>P RA RB RC RD ou blanc</td></tr>
 <tr class="row-odd"><td>DCOMRD   </td><td>Pourcentage de réduction sur tom </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOPLC</td><td>Code de construction particulière</td><td><a href="../../Tables de correspondance/02.Bati.html#c-ccoplc-codes-construction-particuliere">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>CCONLC</td><td>Code nature de local</td><td><a href="../../Tables de correspondance/02.Bati.html#d-cconlc-codes-nature-de-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DVLTRT   </td><td>Valeur locative totale retenue pour le local</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CC48LC   </td><td>Catégorie de loi de 48       </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DLOY48A  </td><td>Loyer de 48 en valeur de l&rsquo;année</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>TOP48A   </td><td>top taxation indiquant si la pev est impose au loyer ou a la vl</td><td>1 = loyer o = vl</td></tr>
 <tr class="row-even"><td>DNATLC</td><td>Nature d occupation</td><td><a href="../../Tables de correspondance/02.Bati.html#
 e-dnatlc-codes-nature-doccupation-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>CCHPR</td><td>Top indiquant  une mutation propriétaire</td><td>* ou blanc  </td></tr>
 <tr class="row-even"><td>JANNAT</td><td>Année de construction        </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBNIV</td><td>Nombre de niveaux de la construction</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>HLMSEM</td><td>Local appartenant à hlm ou sem</td><td>5 = hlm, 6 = sem, sinon blanc</td></tr>
 <tr class="row-odd"><td>POSTEL</td><td>Local de Poste ou France Telecom</td><td>X, Y, Z ou blanc</td></tr>
 <tr class="row-even"><td>DNATCG</td><td>Code nature du changement d&rsquo;évaluation</td><td><a href="../../Tables de correspondance/02.Bati.html#f-dnatcg-codes-nature-du-changement-devaluation">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>JDATCGL</td><td>Date changement d&rsquo;évaluation</td><td>JJMMSSAA</td></tr>
 <tr class="row-even"><td>FBURX</td><td>Indicateur présence bureaux</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>GIMTOM</td><td>Indicateur imposition OM exploitable à partir de 2002</td><td>D, E, V ou blanc</td></tr>
 <tr class="row-even"><td>CBTABT</td><td>Code exonération HLM zone sensible </td><td>ZS ou blanc</td></tr>
 <tr class="row-odd"><td>JDTABT</td><td>Année début d&rsquo;exonération ZS</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>JRTABT</td><td>Année fin d&rsquo;exonération ZS</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCONAC</td><td>Code NACE pour les locaux professionnels</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>L_CCOEVA</td><td>code évaluation</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccoeva-codes-methode-devaluation">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_DTELOC</td><td>type de local</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dteloc-codes-type-de-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_CCOPLC</td><td>Code de construction particulière</td><td><a href="../../Tables de correspondance/02.Bati.html#c-ccoplc-codes-construction-particuliere">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_CCONCL</td><td>Code nature de local</td><td><a href="../../Tables de correspondance/02.Bati.html#d-cconlc-codes-nature-de-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_DANTLC</td><td>Nature d occupation</td><td><a href="../../Tables de correspondance/02.Bati.html#e-dnatlc-codes-nature-doccupation-local">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_DNATCG</td><td>Nature changement d&rsquo;évaluation</td><td><a href="../../Tables de correspondance/02.Bati.html#f-dnatcg-codes-nature-du-changement-devaluation">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>ID_DNUPRO</td><td>&nbsp;</td><td>ID_COM+DNUPRO</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-odd"><td>CBTABT</td><td>Code exonération HLM zone sensible</td><td></td></tr>
 <tr class="row-even"><td>TOPREV</td><td>Top local révisé</td><td></td></tr>
 <tr class="row-odd"><td>CCOIFP</td><td>Code IFP</td><td></td></tr>
 <tr class="row-odd"><td>CCPPER</td><td>Code de trésorerie gestionnaire</td><td></td></tr>
</tbody></table>

### Article 21 description de la PEV (Partie d’Evaluation)

Type d’entité : BATI_A21_DESCR_PEV

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-odd"><td>ID_PEV</td><td>Identifiant de PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-even"><td>CCODEP   </td><td>Code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR</td><td>Numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUPEV</td><td>Numéro de pev                </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CENR</td><td>Code enregistrement          </td><td>21          </td></tr>
 <tr class="row-even"><td>CCOAFF</td><td>Affectation de la pev</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccoaff-codes-affectation-de-pev">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>CCOSTB</td><td>lettre  de série tarif bâtie ou secteur locatif</td><td>A à Z  sauf I O Q</td></tr>
 <tr class="row-even"><td>DCAPEC</td><td>Catégorie                    </td><td>Commentaires 2.2.3</td></tr>
 <tr class="row-odd"><td>DCETLC</td><td>Coefficient d entretien      </td><td>9V99        </td></tr>
 <tr class="row-even"><td>DSUPOT</td><td>Surface pondérée             </td><td>Présence non systématique</td></tr>
 <tr class="row-odd"><td>DVLPER</td><td>Valeur  locative  de la pev, en valeur de référence (1970) sauf pour les établissements de code évaluation A</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DVLPERA</td><td>Valeur  locative  de la pev, en valeur de l&rsquo;année</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>GNEXPL</td><td>Nature d&rsquo;exonération permanente</td><td>Gérée dans art 30 pour les EI <a href="../../Tables de correspondance/02.Bati.html#b-gnexpl-codes-exoneration-permanente">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>CCTHP</td><td>Code occupation à la Th ou à la TP</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>RETIMP</td><td>Top : retour partiel ou total à imposition</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUREF</td><td>Numéro de local type         </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>GNIDOM</td><td>Top : pev non imposable (Dom)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DVLTPE</td><td>VL TOTALE DE LA PEV MAJIC2   </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>TPEVTIEOM</td><td>Top local passible de la TEOM</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DCSPLC-A</td><td>Coefficient de situation particulière</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCSGLC-A</td><td>Coefficient de situation générale</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DCRALC-A</td><td>Correctif d&rsquo;ascenseur        </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>L_CCOAFF</td><td>Libellé d&rsquo;affectation de la pev</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccoaff-codes-affectation-de-pev">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_GNEXPL</td><td>Libellé Nature d&rsquo;exonération permanente</td><td><a href="../../Tables de correspondance/02.Bati.html#b-gnexpl-codes-exoneration-permanente">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-odd"><td>CCOCAC</td><td>Code catégorie du local</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUTRF</td><td>Secteur révisé</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCFLOC</td><td>Coefficient de localisation</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCORTAR</td><td>Code commune origine du tarif</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCORVL</td><td>Code réduction du local</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DTAURV</td><td>Taux de réduction</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCMLOC</td><td>Coefficient de modulation du local</td><td>&nbsp;</td></tr>
</tbody></table>

### Article 30 exonération du pev s'appliquant sur la base imposable:

Type d’entité : BATI_A30_EXONE_PEV

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-odd"><td>ID_PEV</td><td>&nbsp;</td><td>Identifiant de PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-even"><td>CCODEP</td><td>Code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR</td><td>Numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>JANBIL</td><td>Année d&rsquo;immobilisation</td><td>servie pour ets. Industriels, « 0000 » si nul</td></tr>
 <tr class="row-odd"><td>DNUPEV</td><td>Numéro de pev                </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR</td><td>Code enregistrement          </td><td>30          </td></tr>
 <tr class="row-odd"><td>DNUEXB</td><td>Numéro d&rsquo;ordre de l&rsquo;article  </td><td>001 à 015   </td></tr>
 <tr class="row-even"><td>CCOLLOC</td><td>Code de collectivité locale accordant l&rsquo;exonération</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccolloc-codes-collectivite">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>PEXB</td><td>Taux d&rsquo;exonération accordée  </td><td>999V99      </td></tr>
 <tr class="row-even"><td>GNEXTL</td><td>Nature d&rsquo;exonération temporaire (et permanente pour ets. Industriels)</td><td><a href="../../Tables de correspondance/02.Bati.html#b-gnextl-codes-exoneration-temporaire">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>JANDEB</td><td>année de début d&rsquo;exonération </td><td>« 0000 » si nul            </td></tr>
 <tr class="row-even"><td>JANIMP</td><td>année de retour à imposition </td><td>« 0000 » si nul            </td></tr>
 <tr class="row-odd"><td>DVLDIF2</td><td>Montant de VL exonérée (valeur 70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DVLDIF2A</td><td>Montant de VL exonérée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>FCEXB2</td><td>Fraction de VL exonérée (valeur 70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>FCEXBA2</td><td>Fraction de VL exonérée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>RCEXBA2</td><td>Revenu  cadastral exonéré (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>L_CCOLLOC</td><td>Libellé de collectivité locale accordant l&rsquo;exonération</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccolloc-codes-collectivite">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_GNEXTL</td><td>Libellé d&rsquo;exonération temporaire (et permanente pour Ets. Industriels)</td><td><a href="../../Tables de correspondance/02.Bati.html#b-gnextl-codes-exoneration-temporaire">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-even"><td>ID_EX</td><td>&nbsp;</td><td>ID_PEV+DNUEXB+JANBIL (depuis version 1.3)</td></tr>
 <tr class="row-odd"><td>VALPLAF</td><td>Montant du planchonnement sur la base exonérée neutralisée</td><td></td></tr>
</tbody></table>

### Article 31 exonération du pev s'appliquant sur la base imposée :

Type d’entité : BATI_A30_EXONE_PEV

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-odd"><td>ID_PEV</td><td>&nbsp;</td><td>Identifiant de PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-even"><td>CCODEP</td><td>Code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR</td><td>Numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>JANBIL</td><td>Année d&rsquo;immobilisation</td><td>servie pour ets. Industriels, « 0000 » si nul</td></tr>
 <tr class="row-odd"><td>DNUPEV</td><td>Numéro de pev                </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR</td><td>Code enregistrement          </td><td>30          </td></tr>
 <tr class="row-odd"><td>DNUEXB</td><td>Numéro d&rsquo;ordre de l&rsquo;article  </td><td>001 à 015   </td></tr>
 <tr class="row-even"><td>CCOLLOC</td><td>Code de collectivité locale accordant l&rsquo;exonération</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccolloc-codes-collectivite">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>PEXB</td><td>Taux d&rsquo;exonération accordée  </td><td>999V99      </td></tr>
 <tr class="row-even"><td>GNEXTL</td><td>Nature d&rsquo;exonération temporaire (et permanente pour ets. Industriels)</td><td><a href="../../Tables de correspondance/02.Bati.html#b-gnextl-codes-exoneration-temporaire">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>JANDEB</td><td>année de début d&rsquo;exonération </td><td>« 0000 » si nul            </td></tr>
 <tr class="row-even"><td>JANIMP</td><td>année de retour à imposition </td><td>« 0000 » si nul            </td></tr>
 <tr class="row-odd"><td>DVLDIF2</td><td>Montant de VL exonérée (valeur 70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DVLDIF2A</td><td>Montant de VL exonérée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>FCEXB2</td><td>Fraction de VL exonérée (valeur 70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>FCEXBA2</td><td>Fraction de VL exonérée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>RCEXBA2</td><td>Revenu  cadastral exonéré (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>L_CCOLLOC</td><td>Libellé de collectivité locale accordant l&rsquo;exonération</td><td><a href="../../Tables de correspondance/02.Bati.html#a-ccolloc-codes-collectivite">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_GNEXTL</td><td>Libellé d&rsquo;exonération temporaire (et permanente pour Ets. Industriels)</td><td><a href="../../Tables de correspondance/02.Bati.html#b-gnextl-codes-exoneration-temporaire">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-even"><td>ID_EX</td><td>&nbsp;</td><td>ID_PEV+DNUEXB+JANBIL (depuis version 1.3)</td></tr>
 <tr class="row-odd"><td>VALPLAF</td><td>Montant du planchonnement sur la base exonérée neutralisée</td><td></td></tr>
</tbody></table>

### Article 36 sur la taxation du pev

Type d’entité : BATI_A36_TAXATION_PEV

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-odd"><td>ID_PEV</td><td>Identifiant de la PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-even"><td>CCODEP</td><td>Code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR</td><td>Numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUPEV</td><td>Numéro de pev                </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CENR</td><td>Code enregistrement          </td><td>36          </td></tr>
 <tr class="row-even"><td>&nbsp;</td><td colspan="2">4 occurrences de taxation occurrences des parts revenant respectivement aux : commune, département, TSE et groupement de communes (à partir de 2012)</td></tr>
 <tr class="row-odd"><td>VLBAI1   </td><td>Part de VL imposée (valeur70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>VLBAIA1  </td><td>Part de VL imposée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>BIPEVLA1 </td><td>Base  d&rsquo;imposition de la pev(valeur de l&rsquo;année)           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>VLBAI2</td><td>Part de VL imposée (valeur70)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>VLBAIA2  </td><td>Part de VL imposée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>BIPEVLA2 </td><td>Base  d&rsquo;imposition de la pev(valeur de l&rsquo;année)           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>VLBAI_3</td><td>Part de VL imposée (valeur70)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>VLBAIA3  </td><td>Part de VL imposée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>BIPEVLA3 </td><td>Base  d&rsquo;imposition de la pev(valeur de l&rsquo;année)           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>VLBAI4</td><td>Part de VL imposée (valeur70)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>VLBAIA4  </td><td>Part de VL imposée (valeur de l&rsquo;année)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>BIPEVLA4</td><td>Base  d&rsquo;imposition de la pev(valeur de l&rsquo;année)           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>BATEOM</td><td>Base d&rsquo;imposition de la PEV prise en compte pour la taxe d&rsquo;enlèvement des ordures ménagères (TEOM).</td><td>Depuis Majic III</td></tr>
 <tr class="row-even"><td>BAOMEC</td><td>Base d&rsquo;imposition écrêtée de la PEV, c&rsquo;est-à-dire non prise en compte pour la taxe d&rsquo;enlèvement des ordures ménagères</td><td>Depuis Majic III</td></tr>
 <tr class="row-odd"><td>MVLTIEOMX</td><td>Montant TIEOM</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
</tbody></table>

### Article 40 sur la description de la partie principale des habitations

Type d’entité : BATI_A40_DESCR_HABIT

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-odd"><td>ID_PEV</td><td>Identifiant de la PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-even"><td>CCODEP</td><td>Code département             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction               </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune INSEE           </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>INVAR</td><td>Numéro invariant             </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNUPEV</td><td>Numéro de pev                </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CENR</td><td>Code enregistrement          </td><td>40          </td></tr>
 <tr class="row-even"><td>DNUDES</td><td>Numéro d&rsquo;ordre de descriptif </td><td>bHb, bHA... </td></tr>
 <tr class="row-odd"><td>&nbsp;</td><td colspan="2">4 occurrences positionnelles d&rsquo;éléments incorporés</td></tr>
 <tr class="row-even"><td>CCONAD1</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DSUEIC1</td><td>Surface réelle de l&rsquo;élément incorporé</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCIMEI1</td><td>Coefficient de pondération   </td><td>9V9         </td></tr>
 <tr class="row-odd"><td>CCONAD2</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DSUEIC2</td><td>Surface réelle de l&rsquo;élément incorporé</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCIMEI2</td><td>Coefficient de pondération   </td><td>9V9         </td></tr>
 <tr class="row-even"><td>CCONAD3</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>DSUEIC3</td><td>Surface réelle de l&rsquo;élément incorporé</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DCIMEI3</td><td>Coefficient de pondération   </td><td>9V9         </td></tr>
 <tr class="row-odd"><td>CCONAD4</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DSUEIC4</td><td>Surface réelle de l&rsquo;élément incorporé</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DCIMEI4</td><td>Coefficient de pondération   </td><td>9V9         </td></tr>
 <tr colspan="3"><b>Eléments de confort </b></td></tr>
 <tr class="row-even"><td>GEAULC   </td><td>Présence d&rsquo;eau               </td><td>O = oui, N = non</td></tr>
 <tr class="row-odd"><td>GELELC</td><td>Présence d&rsquo;électricité       </td><td>O = oui, N = non</td></tr>
 <tr class="row-even"><td>GESCLC</td><td>Présence d&rsquo;escalier de service (appartement)</td><td>O = oui, N = non, blanc</td></tr>
 <tr class="row-odd"><td>GGAZLC</td><td>Présence du gaz              </td><td>O = oui, N = non</td></tr>
 <tr class="row-even"><td>GASCLC</td><td>Présence d&rsquo;ascenseur (appartement)</td><td>O = oui, N = non, blanc</td></tr>
 <tr class="row-odd"><td>GCHCLC</td><td>Présence du chauffage central</td><td>O = oui, N = non</td></tr>
 <tr class="row-even"><td>GVORLC</td><td>Présence de vide-ordures (appartement)                 </td><td>O = oui, N = non, blanc</td></tr>
 <tr class="row-odd"><td>GTEGLC</td><td>Présence du tout à l&rsquo;égout   </td><td>O = oui, N = non</td></tr>
 <tr class="row-even"><td>DNBBAI</td><td>Nombre de baignoires         </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBDOU</td><td>Nombre de douches            </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBLAV</td><td>Nombre de lavabos            </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBWC</td><td>Nombre de WC                 </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DEQDHA</td><td>Equivalence superficielle des éléments de confort</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBPPR</td><td>Nombre de pièces principales </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBSAM</td><td>Nombre de salles à manger    </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBCHA</td><td>Nombre de chambres           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBCU8</td><td>Nombre de cuisines de moins de 9 m2</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBCU9</td><td>Nombre  de  cuisines  d&rsquo;au moins 9 m2</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBSEA</td><td>Nombre de salles d&rsquo;eau       </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBANN</td><td>Nombre de pièces annexes     </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBPDC</td><td>Nombre de pièces             </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DSUPDC</td><td>Superficie des pièces        </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>&nbsp;</td><td>Caractéristiques générales   </td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DMATGM</td><td>Matériaux des gros murs</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dmatgm-materiaux-des-gros-murs">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DMATTO</td><td>Matériaux des toitures</td><td><a href="../../Tables de correspondance/02.Bati.html#c-dmatto-materiaux-des-toitures">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>JANNAT</td><td>Année d&rsquo;achèvement           </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DETENT</td><td>état d&rsquo;entretien</td><td><a href="../../Tables de correspondance/02.Bati.html#d-detent-etat-dentretien">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>DNBNIV</td><td>Nombre de niveaux            </td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>L_CCONAD1</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_CCONAD2</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_CCONAD3</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_CCONAD4</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_DETENT</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#d-detent-etat-dentretien">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_DMATTO</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#c-dmatto-materiaux-des-toitures">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_DMATGM</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dmatgm-materiaux-des-gros-murs">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
</tbody></table>

### Article 50 sur le descriptif professionnel

Type d’entité : BATI_A50_DESCR_PROF

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-even"><td>ID_PEV</td><td>Identifiant de la PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-odd"><td>CCODEP</td><td>Code département</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCODIR</td><td>Code direction</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOCOM</td><td>Code commune INSEE</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>INVAR</td><td>Numéro invariant</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNUPEV</td><td>Numéro de pev</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR</td><td>Code enregistrement</td><td>50</td></tr>
 <tr class="row-odd"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
<tr class="row-odd"><td>DSUPOT</td><td>Surface pondérée</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>DSUP1</td><td>Surface des parties principales</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>DSUP2</td><td>Surface des parties secondaires couvertes</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>DSUP3</td><td>Surface des parties secondaires non couvertes</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>DSUPK1</td><td>Surface des stationnements couverts</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>DSUPK2</td><td>Surface des stationnements non couverts</td><td>&nbsp;</td></tr>
</tbody></table>


### Article 52 sur le descriptif des quotes-parts de lissage (locaux révisés)

Type d’entité : BATI_A52_DESCR_QP

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>CCODEP</td><td>Code département</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCODIR</td><td>Code direction</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOCOM</td><td>Code commune INSEE</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>INVAR</td><td>Numéro invariant</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNUPEV</td><td>Numéro de pev</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR</td><td>Code enregistrement</td><td>50</td></tr>
<tr class="row-odd"><td>MLBCOM</td><td>Quote-part de lissage de la commune</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>MLBSYN</td><td>Quote-part de lissage du syndicat intercommunal</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>MLBCU</td><td>Quote-part de lissage de l’intercommunalité</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>MLBDEP</td><td>Quote-part de lissage du département</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>MLBTS1</td><td>Quote-part de lissage de la TSE</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>MLBTS2</td><td>Quote-part de lissage de la TSE autre</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>MLBTAS</td><td>Quote-part de lissage de la TASA</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>MLBGEM</td><td>Quote-part de lissage GEMAPI</td><td>&nbsp;</td></tr>
<tr class="row-odd"><td>MLBTOM</td><td>Quote-part de lissage TEOM</td><td>&nbsp;</td></tr>
<tr class="row-even"><td>TBFPAS</td><td>Pas de lissage du local</td><td>&nbsp;</td></tr>
</tbody></table>

### Article 60 sur le descriptif de dépendance :

Type d’entité : BATI_A60_DESCR_DEPEND

<table class="docutils" border="1">
<thead><tr class="row-even"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>ID_BAT</td><td>Identifiant de bâti</td><td>CCODEP+CCODIR+CCOCOM+INVAR</td></tr>
 <tr class="row-even"><td>ID_PEV</td><td>Identifiant de la PEV</td><td>ID_BAT+DNUPEV</td></tr>
 <tr class="row-odd"><td>CCODEP</td><td>Code département</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCODIR</td><td>Code direction</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCOCOM</td><td>Code commune INSEE</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>INVAR</td><td>Numéro invariant</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNUPEV</td><td>Numéro de pev</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CENR</td><td>Code enregistrement</td><td>60</td></tr>
 <tr class="row-odd"><td>DNUDES</td><td>Numéro d&rsquo;ordre de descriptif</td><td>001, 002...</td></tr>
 <tr class="row-even"><td>DSUDEP</td><td>Surface réelle de la dépendance</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCONAD</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>ASITET</td><td>Localisation (bat, esc, niv)</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>&nbsp;</td><td>Caractéristiques générales</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DMATGM</td><td>Matériaux des gros murs</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dmatgm-materiaux-des-gros-murs">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>DMATTO</td><td>Matériaux des toitures</td><td><a href="../../Tables de correspondance/02.Bati.html#c-dmatto-materiaux-des-toitures">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>DETENT</td><td>état d&rsquo;entretien</td><td><a href="../../Tables de correspondance/02.Bati.html#d-detent-etat-dentretien">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>&nbsp;</td><td>Eléments de confort</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>GEAULC</td><td>Présence d&rsquo;eau</td><td>O = oui, N = non</td></tr>
 <tr class="row-odd"><td>GELELC</td><td>Présence d&rsquo;électricité</td><td>O = oui, N = non</td></tr>
 <tr class="row-even"><td>GCHCLC</td><td>Présence du chauffage central</td><td>O = oui, N = non</td></tr>
 <tr class="row-odd"><td>DNBBAI</td><td>Nombre de baignoires</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBDOU</td><td>Nombre de douches</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DNBLAV</td><td>Nombre de lavabos</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DNBWC</td><td>Nombre de WC</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DEQTCL</td><td>Equivalence superficielle des éléments de confort</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DCIMLC</td><td>Coefficient de pondération</td><td>1,0 - 0,2 à 0,6</td></tr>
 <tr class="row-odd"><td>DCETDE</td><td>Coefficient d entretien</td><td>9V99</td></tr>
 <tr class="row-even"><td>DCSPDE-A</td><td>Coefficient de situation particulière</td><td>S9V99 de -0,10 à +0,10</td></tr>
 <tr class="row-odd"><td>L_CCONAD</td><td>Nature de dépendance</td><td><a href="../../Tables de correspondance/02.Bati.html#a-cconad-codes-nature-de-dependances">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_DETENT</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#d-detent-etat-dentretien">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>L_DMATTO</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#c-dmatto-materiaux-des-toitures">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>L_DMATGM</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/02.Bati.html#b-dmatgm-materiaux-des-gros-murs">Consultez la table de correspondance</a></td></tr>
 <tr class="row-odd"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-even"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-odd"><td>ID_DEP</td><td>&nbsp;</td><td>ID_PEV+DNUDES</td></tr>
</tbody></table>
